class ParamsDemo {
    名称数据 = "请生成数据字段，以便在数据中添加字段"
    参数数据 = "请生成数据字段，以便在数据中添加字段";
    getRelatedDataPath(optionName = "") {
        return ["related-fields", JSON.stringify([...this.__dynamicPath, `behavior-option-${optionName}`]), "related-field"];
    }

    init() {
        // 二开监听事件
        this.element.addEventListener("触发点击标记点", (ev) => {
            let paramsMap = this.getData();
            console.log(ev.data.pieceName);
            let key = ev.data.pieceName;
            console.log(`key:${key}  value:${paramsMap.get(key)}`);
        })
    }

    // 获取数据
    getData() {
        let paramsDim = this.element.getOption(this.getRelatedDataPath("参数数据")) || [];
        let nameDim = this.element.getOption(this.getRelatedDataPath("名称数据")) || [];
        let result = new Map();
        if (paramsDim.length && nameDim.length) {
            let paramsData = this.element.getFullData(this.getRelatedDataPath("参数数据")) || [];
            let nameData = this.element.getFullData(this.getRelatedDataPath("名称数据")) || [];
            nameData.forEach((name, index) => {
                let nameval = name[nameDim[0].uid[2]];
                result.set(nameval, paramsData[index][paramsDim[0].uid[2]]);
            });
        }
        return result;
    }

    destroy() {
        this.element.removeEventListener("触发点击标记点");
    }

}
export default ParamsDemo;